Skip to main content
GET
Get interaction

Authorizations

Authorization
string
header
required

Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.

Path Parameters

tenantId
string<uuid>
required

Id of the tenant

interactionId
string<uuid>
required

Id of the interaction

Query Parameters

detailed
boolean
default:false

Include the interaction's notes, content and attachments

Response

Successful operation

DetailedPublicInteraction when detailed is true

interactionId
string<uuid>
required

Id of the interaction

type
enum<string>
required

Channel of the interaction

Available options:
EBOKS,
KIVRA,
DIGIPOST,
EMAIL,
SMS,
LETTER,
PHONE,
NOTE,
PERSONAL,
OTHER,
CLIENT NOTE,
DEBTOR NOTE,
AUTO CALL,
EINVOICE
direction
enum<string>
required
Available options:
OUTGOING,
INCOMING
state
enum<string>
required

Incoming interactions go from UNMAPPED to MAPPED and HANDLED. Outgoing ones go from PENDING to QUEUED and SENT, or CANCELLED.

Available options:
UNMAPPED,
MAPPED,
HANDLED,
PENDING,
QUEUED,
SENT,
CANCELLED
referenceType
enum<string> | null
required

Type of the entity the interaction is journaled on. null for an incoming interaction that is not matched yet.

Available options:
case,
creditor,
null
referenceId
string<uuid> | null
required

Id of the case or creditor the interaction is journaled on

creditorId
string<uuid> | null
required

Id of the creditor the interaction belongs to

debtorId
string<uuid> | null
required

Id of the debtor the interaction is with

minVisibilityRole
enum<string>
required

Lowest role that may see the interaction. client means it is visible to the creditor, debtor that it is also visible to the debtor.

Available options:
alternative-contact,
debtor,
client,
caseworker,
admin,
super-admin
transacted
string<date-time> | null
required

When the interaction was sent or received

templateId
string<uuid> | null
required

Id of the template the interaction was generated from

createdAt
string<date-time>
required
createdBy
object | null
required

Who created the interaction